/*
 * Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
 *
 */
package net.northking.cctp.platform.dto.init.process;

import io.swagger.annotations.ApiModelProperty;

/**
 * 状态机的状态
 *
 * @author : xiusong.xie
 * @version : 1.0
 */
public class State {

    @ApiModelProperty(value = "主键", required = true)
    private String id;
    @ApiModelProperty(value = "节点名称", required = true)
    private String label;
    @ApiModelProperty(value = "节点中文名称", required = true)
    private String labelText;
    @ApiModelProperty(value = "节点备注")
    private String memo;
    @ApiModelProperty(value = "状态类型", required = true)
    private String stateType = "";
    @ApiModelProperty(value = "横坐标", required = true)
    private int x;
    @ApiModelProperty(value = "纵坐标", required = true)
    private int y;
    @ApiModelProperty(value = "图形样式", required = true)
    private String shape;
    /**
     * 是否初始状态
     */
    @ApiModelProperty(value = "是否初始状态", required = true)
    private Boolean initialState = false;
    /**
     * 是否最终状态
     */
    @ApiModelProperty(value = "是否结束状态", required = true)
    private Boolean finishedState = false;
    /**
     * 是否启用拦截器
     */
    @ApiModelProperty(value = "是否启用拦截器")
    private Boolean usedInterceptor = false;
    /**
     * 数据字典代码
     */
    @ApiModelProperty(value = "数据字典代码")
    private String catalogCode;
    /**
     * 流程定义的ID
     */
    @ApiModelProperty(value = "流程定义的id", required = true)
    private String processDefId;


    public void setCatalogCode(String catalogCode) {
        this.catalogCode = catalogCode;
    }

    public String getCatalogCode() {
        return catalogCode;
    }

  public Boolean getInitialState() {
    return initialState;
  }

  public void setInitialState(Boolean initialState) {
    this.initialState = initialState;
  }

  public Boolean getFinishedState() {
    return finishedState;
  }

  public void setFinishedState(Boolean finishedState) {
    this.finishedState = finishedState;
  }

    public Boolean getUsedInterceptor() {
        return usedInterceptor;
    }

    public void setUsedInterceptor(Boolean usedInterceptor) {
        this.usedInterceptor = usedInterceptor;
    }

    public void setProcessDefId(String processDefId) {
        this.processDefId = processDefId;
    }

    public String getProcessDefId() {
        return processDefId;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getLabel() {
        return label;
    }

    public void setLabel(String label) {
        this.label = label;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }

    public String getStateType() {
        return stateType;
    }

    public void setStateType(String stateType) {
        this.stateType = stateType;
    }

    public int getX() {
        return x;
    }

    public void setX(int x) {
        this.x = x;
    }

    public int getY() {
        return y;
    }

    public void setY(int y) {
        this.y = y;
    }

    public String getShape() {
        return shape;
    }

    public void setShape(String shape) {
        this.shape = shape;
    }

    public String getLabelText() {
        return labelText;
    }

    public void setLabelText(String labelText) {
        this.labelText = labelText;
    }
}
